Subject: Re: PPP BCP proposed IETF standard

From: Fred Baker <[email-masked]>
Date: Fri, 11 Feb 2000 11:16:48 -0800

Mitsuru-san:

This seems like a reasonable comment. We can take this as an IETF Last Call
comment, unless there is concern from the Area Director.

Fred

At 01:37 PM 2/11/00 +0000, Ewart Tempest wrote: 

>
> Hi Fred, 
>
> I know that draft 0.3 of the PPP BCP has been put forward as a proposed IETF
> standard. As one of the authors, I wondered whether the following
> clarifications could be made to the texts:
>
> 1) In section 4.1.4: 
> "(a) If the bridge wants to terminate the connection, it sends a
> Terminate-Request and terminates the connection. 
> (b) If the bridge wants to run the connection but not receive old BPDUs, its
> only option is to run without the spanning tree on the link at all, which is
> dangerous. It should Configure-Reject the <specify option> option and advise
> the network administration that it has done so."

Ewart, are you asking us in this to specify the option? It should
configure-reject the older Spanning Tree Bridge PDU option.

>
> 2) In the first paragraph of Appendix A, I assume that the sections 4.2 and
> 4.3 being referred to are those of RFC 1638:
>
>         "By default, Spanning Tree BPDUs MUST be carried with MAC or
802.2 LLC
> header described in section 4.2 or 4.3  encoded as per section 4.2 or 4.3 of
> RFC 1638. This format MUST be used when it connect connecting to old BCP
> implementations to keep ensure backwards compatibility."
>
> Please confirm. Specifically, if an IETF draft compliant bridge entity
> receives a Configure-Reject for the Management Inline option, the remote
> bridge entity must be RFC 1638 compliant. If the IETF draft compliant bridge
> entity does not implement/understand the RFC 1638 BPDU format, it must
> negotate use of the NULL protocol wrt the Spanning-Tree-Protocol negotiation,
> if any traffic is to be bridged over the link.
>
> Thanks. 
>
> Ewart 
>
> --------------------------------------------------------------------------
> ------------------------------------ 
>
> Ewart Tempest 
> Nortel Networks, 
> Doagh Road, 
> Newtownabbey, County Antrim, 
> Northern Ireland, BT36 6XA 
>
> Tel. (44)1232-363747    ESN 751-3747 
> Fax. (44)1232-362626    ESN 751-2626

---

From: Mitsuru Higashiyama <[email-masked]>
Date: Tue, 15 Feb 2000 02:16:39 +0900

Hello,

Fred Baker wrote:
> 
> Mitsuru-san:
> 
> This seems like a reasonable comment. We can take this as an IETF Last
> Call comment, unless there is concern from the Area Director.

I see.

> > I know that draft 0.3 of the PPP BCP has been put forward as a
> > proposed IETF standard. As one of the authors, I wondered whether
> > the following clarifications could be made to the texts:
> >
> > 1) In section 4.1.4:
> > (b) If the bridge wants to run the connection but not receive old
> > BPDUs, its only option is to run without the spanning tree on the
> > link at all, which is dangerous. It should Configure-Reject the
> > <specify option> option and advise the network administration that
> > it has done so."
> 

Ewart, thanks your english corrections.
I would like to wait your answer to Fred's question, too.

> > 2) In the first paragraph of Appendix A, I assume that the sections
> > 4.2 and 4.3 being referred to are those of RFC 1638:

No, it reffers to sections 4.2 and 4.3 in this I-D. The sections 4.2 
and 4.3 defines new BCP frame formats. The first paragraph of Appendix A
mean that:
  By default, Spanning Tree BPDUs MUST be carried with MAC or 802.2 LLC
  header described in section 4.2 or 4.3 of this I-D. If you wants to
  connect to old BCP implementations, you will use Spanning Tree Frame
  format of old BCP described in Appendix A.

> > 802.2 LLC header described in section 4.2 or 4.3  encoded as per
> > section 4.2 or 4.3 of RFC 1638. This format MUST be used when it
> > connect connecting to old BCP implementations to keep ensure
> > backwards compatibility."
> >
> > Please confirm. Specifically, if an IETF draft compliant bridge
> > entity receives a Configure-Reject for the Management Inline option,
> > the remote bridge entity must be RFC 1638 compliant. If the IETF
> > draft compliant bridge entity does not implement/understand the RFC
> > 1638 BPDU format, it must negotate use of the NULL protocol wrt the
> > Spanning-Tree-Protocol negotiation, if any traffic is to be bridged
> > over the link.

We have already define this manner in 4.1.4. It said:
      (b) If the bridge wants to run the connection but not receive old
          BPDUs, its only option is to run without spanning tree on the
          link at all, which is dangerous. It should Configure-Reject
          the option and advise the network administration that it has
          done so.

We have two options, first is sending Configure-Reject described in
BCP-03, second is sending NULL Spanning-Tree-Protocol option.
Is there any advantage on using NULL Spanning-Tree-Protocol option ?

Best regards,
Mitsuru
-- 
 Mitsuru Higashiyama <[email-masked]>
 ANRITSU CORPORATION
 Systems Development Department, Information & Network Division
 Telephone  Office +81 462 96 6625  Fax +81 462 25 8387